Jupiter ERP
Account API

Update TextTemplates

/api/account/text-templates/{id}

PATCHHTTP
patch/api/account/text-templates/{id}

Example request

PATCH https://api.jupiter-erp.com/api/account/text-templates/example-id

Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account/text-templates/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "type": "document",
  "document_type": "all",
  "position": "subject",
  "is_default": true,
  "visible_for_me": true
}'

Parameters

NameInRequiredDescription
idpathyes

Request body

Optional

FieldTypeDescription
contentstring
document_typestring

string

  • all
  • custom_document
  • quote
  • order_confirmation
  • delivery_note
  • invoice
  • dunning
  • credit_note
  • accounting_export
is_defaultboolean
namestring
positionstring

string

  • subject
  • top
  • bottom
typestring

string

  • document
  • email
  • generic
visible_for_meboolean
Example request
{
  "name": "string",
  "type": "document",
  "document_type": "all",
  "position": "subject",
  "is_default": true,
  "visible_for_me": true
}

Responses

200OK
FieldTypeDescription
content*string
created_atstring (date-time)Creation timestamp in ISO 8601 format.
document_typestring

string

  • all
  • custom_document
  • quote
  • order_confirmation
  • delivery_note
  • invoice
  • dunning
  • credit_note
  • accounting_export
id*integer
is_defaultboolean
name*string
position*string

string

  • subject
  • top
  • bottom
type*string

string

  • document
  • email
  • generic
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
visible_for_meboolean
Example response
{
  "id": 0,
  "name": "string",
  "type": "document",
  "document_type": "all",
  "position": "subject",
  "is_default": true,
  "content": "string"
}
TextTemplates

Questions about integration?

PATCH /api/account/text-templates/{id} · Jupiter ERP